Page MenuHomePhabricator

Phases 2, 3 in building a volunteer, cross-wiki taskforce to help with the community side of VE work
Closed, ResolvedPublic0 Story Points

Description

Building a "hub" of tech-savvy and keen community members who could help their wikimedian fellows all over the world to get the same rewarding visual editor experience they have.
This task is about https://www.mediawiki.org/wiki/Help:VisualEditor/VE_as_the_main_editor .

The second phase is about checking with these people what worked for them. Did they use existing documentation, or are there gaps in it we need to take care of? Did they create additional documentation to help themselves and others? (If so, we'll want to list those resources.) Did they perhaps seek help from someone else as well? The existing checklist will be scrutinized at this point.
The third phase may be about actually covering gaps (especially documentation ones. I don't think we have learning patterns docs about VE, for example, and that's something we may consider creating).

Event Timeline

Elitre created this task.Jun 10 2016, 4:27 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 10 2016, 4:27 PM

Before contacting the people involved I updated https://www.mediawiki.org/wiki/Help:VisualEditor/VE_as_the_main_editor with the new format suggested in the previous task.

I'm now prepping a "rating" table for tasks in the checklist, and questions to ask taskforce members.

Jdforrester-WMF set the point value for this task to 0.Aug 12 2016, 8:23 PM

The third phase depends on feedback gathered during the 2nd one, which is about to start.

This is what the questionnaire looks like (minus the links):

A few questions for you
Hi there! Because you are a proud member of the community taskforce page for the visual editor, I'm sending you this short questionnaire so that we can learn how to improve existing resources and about different ways to build and share your knowledge. Thanks for participating! I'll come back here to collect your answers on September 9th. If for any reason you'd like to provide your answers privately, just send me an email instead. I'll collate answers on the taskforce talk page. Talk to you soon.

  1. Was the existing documentation about how to adapt the visual editor to your context useful to you?
    1. Do you have ideas about how to improve or expand it? (Note it has been changed recently, here's what it looked like before.)
    2. What is your preferred format to learn about something or about how to get things done? Feel free to list tools or other resources, even if they aren't being used currently on our sites.
  2. What is the one thing related to adapting the visual editor which is not explained well anywhere and you're still struggling to learn more about?
  3. Did you create additional documentation/resources to help yourself and others? Like user guides, how-to/instruction pages, etc.? If so, please provide links.
  4. Did somebody else from WMF or your community assist you with the visual editor community work you did so far? Please list names and the ways they provided support (like, Alice sent me an email to explain how to do X). Please add community members' names to the taskforce list if they are not there yet.
Qgil added a comment.Sep 15 2016, 7:53 AM

Do you think this task can be completed by the end of this quarter?

In part yes. (It is likely that phase 3 won't need to happen.)

Elitre closed this task as Resolved.EditedSep 27 2016, 2:59 PM

So the results from the questionnaire (for people who took it) was published at https://www.mediawiki.org/wiki/Help:VisualEditor/Community_Taskforce/T137571 .
TL;DR : no significant issues emerge from their assessment of the documentation, although there are certainly a few replies that I need to follow-up to, as interesting information was surfaced.

No particular need for new documentation seems to have emerged, so I instead started featuring better the resources mentioned in the answers (and the checklist itself); new, relevant documentation will also be developed via independent efforts (T115158).

Other notes: I think the approach of asking everyone on their talk pages is interesting, as it limits heavily "group thinking". OTOH it is also clear that some wording should have been way clearer.

Qgil awarded a token.